> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetSubUserRoles

POST https://api.voximplant.com/platform_api/GetSubUserRoles

Gets the subuser's roles.

Allowed roles: `Owner`.

**Example request:** Get subuser's roles.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/role-system/get-sub-user-roles

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetSubUserRoles:
    post:
      operationId: get-sub-user-roles
      summary: GetSubUserRoles
      description: |-
        Gets the subuser's roles.

        Allowed roles: `Owner`.

        **Example request:** Get subuser's roles.
      tags:
        - subpackage_roleSystem
      parameters:
        - name: subuser_id
          in: query
          description: The subuser's ID
          required: true
          schema:
            type: integer
        - name: with_expanded_roles
          in: query
          description: Whether to show the roles' additional properties
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/role-system_GetSubUserRoles_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    RoleView:
      type: object
      properties:
        role_name:
          type: string
          description: The role name
        role_id:
          type: integer
          description: The role ID
        inherited:
          type: boolean
          description: Whether the role is inherited
        child_ids:
          type: array
          items:
            type: integer
          description: Child roles IDs array
        parent_role_id:
          type: array
          items:
            type: integer
          description: Parent roles IDs array
        gui_only:
          type: boolean
          description: Whether the role is gui only
        name:
          type: string
      description: The role view.
      title: RoleView
    role-system_GetSubUserRoles_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/RoleView'
      title: role-system_GetSubUserRoles_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetSubUserRoles"

querystring = {"subuser_id":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```